alphabold.com
TLS 1.2 and Dynamics 365 Connectivity Issues - Microsoft Dynamics Partner
Dynamics 365 customer engagement requires TLS 1.2 or higher for customer engagement applications. Read more on it in this blog post.